LongstaffSchwartzPathPricer< PathType > Class Template Reference
Monte Carlo framework

Longstaff-Schwarz path pricer for early exercise options. More...

`#include <ql/methods/montecarlo/longstaffschwartzpathpricer.hpp>`

Inheritance diagram for LongstaffSchwartzPathPricer< PathType >:
[legend]

## Public Types

typedef EarlyExerciseTraits< PathType >::StateType | StateType
Public Types inherited from PathPricer< PathType >
typedef PathType | argument_type
typedef Real | result_type

## Public Member Functions

| LongstaffSchwartzPathPricer (const TimeGrid &times, const ext::shared_ptr< EarlyExercisePathPricer< PathType > > &, const ext::shared_ptr< YieldTermStructure > &termStructure)
Real | operator() (const PathType &path) const
virtual void | calibrate ()
Real | exerciseProbability () const

## Protected Member Functions

virtual void | post_processing (const Size i, const std::vector< StateType > &state, const std::vector< Real > &price, const std::vector< Real > &exercise)

## Protected Attributes

bool | calibrationPhase_
const ext::shared_ptr< EarlyExercisePathPricer< PathType > > | pathPricer_
QuantLib::IncrementalStatistics | exerciseProbability_
boost::scoped_array< Array > | coeff_
boost::scoped_array< DiscountFactor > | dF_
std::vector< PathType > | paths_
const std::vector< ext::function< Real(StateType)> > | v_
const Size | len_

## Detailed Description

### template<class PathType>
class QuantLib::LongstaffSchwartzPathPricer< PathType >

Longstaff-Schwarz path pricer for early exercise options.

References:

Francis Longstaff, Eduardo Schwartz, 2001. Valuing American Options by Simulation: A Simple Least-Squares Approach, The Review of Financial Studies, Volume 14, No. 1, 113-147

Tests:
  the correctness of the returned value is tested by reproducing results available in web/literature